Screen freeze after resume from S3 when HDMI monitor plugged on Dell Precision 7740

Bug #1825958 reported by You-Sheng Yang on 2019-04-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Undecided
You-Sheng Yang
Xenial
Undecided
Unassigned
Bionic
Undecided
You-Sheng Yang
linux-oem (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[Summary]
Screen freeze after resume from S3 when HDMI monitor plugged.
This bug can be reproduced in both AC/DC mode.
This bug can be reproduced after disabled TLP.

In kernel log,
[ 73.303742] amdgpu 0000:01:00.0: GPU fault detected: 146 0x0000480c for process Xorg pid 2023 thread Xorg:cs0 pid 2025
[ 73.303750] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_ADDR 0x00000000
[ 73.303752] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0804800C
[ 73.303753] amdgpu 0000:01:00.0: VM fault (0x0c, vmid 4, pasid 32769) at page 0, read from 'TC0' (0x54433000) (72)
[ 73.420193] amdgpu 0000:01:00.0: GPU fault detected: 146 0x0000480c for process Xorg pid 2023 thread Xorg:cs0 pid 2025
[ 73.420205] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_ADDR 0x00000000
[ 73.420207] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0804800C
[ 73.420210] amdgpu 0000:01:00.0: VM fault (0x0c, vmid 4, pasid 32769) at page 0, read from 'TC0' (0x54433000) (72)
[ 73.486518] amdgpu 0000:01:00.0: GPU fault detected: 146 0x0000480c for process Xorg pid 2023 thread Xorg:cs0 pid 2025
[ 73.486528] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_ADDR 0x00000000
[ 73.486531] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0804800C
[ 73.486535] amdgpu 0000:01:00.0: VM fault (0x0c, vmid 4, pasid 32769) at page 0, read from 'TC0' (0x54433000) (72)
[ 73.569653] amdgpu 0000:01:00.0: GPU fault detected: 146 0x0000480c for process Xorg pid 2023 thread Xorg:cs0 pid 2025
[ 73.569667] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_ADDR 0x00000000
[ 73.569672] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0804800C
[ 73.569679] amdgpu 0000:01:00.0: VM fault (0x0c, vmid 4, pasid 32769) at page 0, read from 'TC0' (0x54433000) (72)
[ 73.653019] amdgpu 0000:01:00.0: GPU fault detected: 146 0x0000480c for process Xorg pid 2023 thread Xorg:cs0 pid 2025
[ 73.653031] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_ADDR 0x00000000
[ 73.653036] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0804800C
[ 73.653042] amdgpu 0000:01:00.0: VM fault (0x0c, vmid 4, pasid 32769) at page 0, read from 'TC0' (0x54433000) (72)
[ 73.686259] amdgpu 0000:01:00.0: GPU fault detected: 147 0x00980801 for process Xorg pid 2023 thread Xorg:cs0 pid 2025
[ 73.686271] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_ADDR 0x04E1FE13
[ 73.686276] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x08008001
[ 73.686282] amdgpu 0000:01:00.0: VM fault (0x01, vmid 4, pasid 32769) at page 81919507, read from 'TC2' (0x54433200) (8)
[ 73.702937] amdgpu 0000:01:00.0: GPU fault detected: 146 0x0000480c for process Xorg pid 2023 thread Xorg:cs0 pid 2025
[ 73.702949] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_ADDR 0x00000000
[ 73.702953] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0804800C
[ 73.702959] amdgpu 0000:01:00.0: VM fault (0x0c, vmid 4, pasid 32769) at page 0, read from 'TC0' (0x54433000) (72)
[ 73.786172] amdgpu 0000:01:00.0: GPU fault detected: 146 0x0000480c for process Xorg pid 2023 thread Xorg:cs0 pid 2025
[ 73.786185] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_ADDR 0x00000000
[ 73.786189] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0804800C
[ 73.786195] amdgpu 0000:01:00.0: VM fault (0x0c, vmid 4, pasid 32769) at page 0, read from 'TC0' (0x54433000) (72)
[ 73.836124] amdgpu 0000:01:00.0: GPU fault detected: 146 0x0000480c for process Xorg pid 2023 thread Xorg:cs0 pid 2025
[ 73.836136] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_ADDR 0x00000000
[ 73.836141] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0804800C
[ 73.836147] amdgpu 0000:01:00.0: VM fault (0x0c, vmid 4, pasid 32769) at page 0, read from 'TC0' (0x54433000) (72)
[ 73.919321] amdgpu 0000:01:00.0: GPU fault detected: 146 0x0000480c for process Xorg pid 2023 thread Xorg:cs0 pid 2025
[ 73.919333] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_ADDR 0x00000000
[ 73.919337] amdgpu 0000:01:00.0: VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0804800C
[ 73.919343] amdgpu 0000:01:00.0: VM fault (0x0c, vmid 4, pasid 32769) at page 0, read from 'TC0' (0x54433000) (72)

[Reproduce Steps]
1. Plugged the HDMI monitor and boot
2. Enter S3 and resume from S3
3. The screen is frozen during login screen

[Results]
Expected: The screen does not be frozen.
Actual: The screen is frozen

[Additional Information]
Hardware: Dell Precision 7740
BIOS Version: 0.7.43
Kernel Version: 4.15.0-1036-oem
GPU: 1002:6981

You-Sheng Yang (vicamo) on 2019-04-23
Changed in linux (Ubuntu Xenial):
status: New → Won't Fix
Changed in linux (Ubuntu Bionic):
status: New → In Progress
tags: added: originate-from-1824275 somerville
Changed in linux (Ubuntu Bionic):
assignee: nobody → You-Sheng Yang (vicamo)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1825958

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
You-Sheng Yang (vicamo) wrote :

Need https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=d3252ace0bc652a1a244455556b6a549f969bf99 , which is included in Disco and has been SRU-ed to Cosmic in bug 1788874 (for linux v4.18.5 stable release).

AceLan Kao (acelankao) on 2019-04-27
Changed in linux-oem (Ubuntu Xenial):
status: New → Won't Fix
status: Won't Fix → Invalid
Changed in linux-oem (Ubuntu Bionic):
status: New → Fix Committed
AceLan Kao (acelankao) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
You-Sheng Yang (vicamo) on 2019-05-03
tags: added: verification-done-bionic
removed: verification-needed-bionic
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (13.0 KiB)

This bug was fixed in the package linux-oem - 4.15.0-1038.43

---------------
linux-oem (4.15.0-1038.43) bionic; urgency=medium

  [ Ubuntu: 4.15.0-50.54 ]

  * CVE-2018-12126 // CVE-2018-12127 // CVE-2018-12130
    - Documentation/l1tf: Fix small spelling typo
    - x86/cpu: Sanitize FAM6_ATOM naming
    - kvm: x86: Report STIBP on GET_SUPPORTED_CPUID
    - locking/atomics, asm-generic: Move some macros from <linux/bitops.h> to a
      new <linux/bits.h> file
    - tools include: Adopt linux/bits.h
    - x86/msr-index: Cleanup bit defines
    - x86/speculation: Consolidate CPU whitelists
    - x86/speculation/mds: Add basic bug infrastructure for MDS
    - x86/speculation/mds: Add BUG_MSBDS_ONLY
    - x86/kvm: Expose X86_FEATURE_MD_CLEAR to guests
    - x86/speculation/mds: Add mds_clear_cpu_buffers()
    - x86/speculation/mds: Clear CPU buffers on exit to user
    - x86/kvm/vmx: Add MDS protection when L1D Flush is not active
    - x86/speculation/mds: Conditionally clear CPU buffers on idle entry
    - x86/speculation/mds: Add mitigation control for MDS
    - x86/speculation/mds: Add sysfs reporting for MDS
    - x86/speculation/mds: Add mitigation mode VMWERV
    - Documentation: Move L1TF to separate directory
    - Documentation: Add MDS vulnerability documentation
    - x86/speculation/mds: Add mds=full,nosmt cmdline option
    - x86/speculation: Move arch_smt_update() call to after mitigation decisions
    - x86/speculation/mds: Add SMT warning message
    - x86/speculation/mds: Fix comment
    - x86/speculation/mds: Print SMT vulnerable on MSBDS with mitigations off
    - x86/speculation/mds: Add 'mitigations=' support for MDS
  * CVE-2017-5715 // CVE-2017-5753
    - s390/speculation: Support 'mitigations=' cmdline option
  * CVE-2017-5715 // CVE-2017-5753 // CVE-2017-5754 // CVE-2018-3639
    - powerpc/speculation: Support 'mitigations=' cmdline option
  * CVE-2017-5715 // CVE-2017-5754 // CVE-2018-3620 // CVE-2018-3639 //
    CVE-2018-3646
    - cpu/speculation: Add 'mitigations=' cmdline option
    - x86/speculation: Support 'mitigations=' cmdline option
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

linux-oem (4.15.0-1037.42) bionic; urgency=medium

  * linux-oem: 4.15.0-1037.42 -proposed tracker (LP: #1826336)

  * unnecessary request_queue freeze (LP: #1815733)
    - block: avoid setting nr_requests to current value
    - block: avoid setting none scheduler if it's already none

  * Screen freeze after resume from S3 when HDMI monitor plugged on Dell
    Precision 7740 (LP: #1825958)
    - PCI: Restore resized BAR state on resume

  [ Ubuntu: 4.15.0-49.53 ]

  * linux: 4.15.0-49.53 -proposed tracker (LP: #1826358)
  * Backport support for software count cache flush Spectre v2 mitigation. (CVE)
    (required for POWER9 DD2.3) (LP: #1822870)
    - powerpc/64s: Add support for ori barrier_nospec patching
    - powerpc/64s: Patch barrier_nospec in modules
    - powerpc/64s: Enable barrier_nospec based on firmware settings
    - powerpc: Use barrier_nospec in copy_from_user()
    - powerpc/64: Use barrier_nospec in syscall entry
    - powerpc/64s: Enhance the information in cpu_show_spectre_v1()
    - p...

Changed in linux-oem (Ubuntu Bionic):
status: Fix Committed → Fix Released
You-Sheng Yang (vicamo) on 2019-05-15
Changed in linux-oem (Ubuntu):
status: New → Fix Released
You-Sheng Yang (vicamo) wrote :

This has been released in linux-oem. For generic kernel, this has been landed to bionic/master-next but not yet released.

Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
You-Sheng Yang (vicamo) on 2019-05-15
tags: added: originate-from-1817304
Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package linux - 4.15.0-51.55

---------------
linux (4.15.0-51.55) bionic; urgency=medium

  * linux: 4.15.0-51.55 -proposed tracker (LP: #1829219)

  * disable a.out support (LP: #1818552)
    - [Config] Disable a.out support

  * [UBUNTU] qdio: clear intparm during shutdown (LP: #1828394)
    - s390/qdio: clear intparm during shutdown

  * ftrace in ubuntu_kernel_selftests hang with Cosmic kernel (LP: #1826385)
    - kprobes/x86: Fix instruction patching corruption when copying more than one
      RIP-relative instruction

  * touchpad not working on lenovo yoga 530 (LP: #1787775)
    - Revert "UBUNTU: SAUCE: i2c:amd Depends on ACPI"
    - Revert "UBUNTU: SAUCE: i2c:amd move out pointer in union i2c_event_base"
    - Revert "UBUNTU: SAUCE: i2c:amd I2C Driver based on PCI Interface for
      upcoming platform"
    - i2c: add helpers to ease DMA handling
    - i2c: add a message flag for DMA safe buffers
    - i2c: add extra check to safe DMA buffer helper
    - i2c: Add drivers for the AMD PCIe MP2 I2C controller
    - [Config] Update config for AMD MP2 I2C driver
    - [Config] Update I2C_AMD_MP2 annotations

  * tm-unavailable in powerpc/tm failed on Bionic Power9 (LP: #1813129)
    - selftests/powerpc: Check for pthread errors in tm-unavailable
    - selftests/powerpc: Skip tm-unavailable if TM is not enabled

  * cp_abort in powerpc/context_switch from ubunut_kernel_selftests failed on
    Bionic P9 (LP: #1813134)
    - selftests/powerpc: Remove redundant cp_abort test

  * bionic/linux: completely remove snapdragon files from sources (LP: #1827880)
    - [Packaging] remove snapdragon dead files
    - [Config] update configs after snapdragon removal

  * The noise keeps occurring when Headset is plugged in on a Dell machine
    (LP: #1827972)
    - ALSA: hda/realtek - Fixed Dell AIO speaker noise

  * Geneve tunnels don't work when ipv6 is disabled (LP: #1794232)
    - geneve: correctly handle ipv6.disable module parameter

  * There are 4 HDMI/Displayport audio output listed in sound setting without
    attach any HDMI/DP monitor (LP: #1827967)
    - ALSA: hda/hdmi - Read the pin sense from register when repolling
    - ALSA: hda/hdmi - Consider eld_valid when reporting jack event

  * Headphone jack switch sense is inverted: plugging in headphones disables
    headphone output (LP: #1824259)
    - ASoC: rt5645: Headphone Jack sense inverts on the LattePanda board

  * CTAUTO:DevOps:860.50:devops4fp1:Error occurred during LINUX Dmesg error
    Checking for all LINUX clients for devops4p10 (LP: #1766201)
    - SAUCE: integrity: downgrade error to warning

  * Screen freeze after resume from S3 when HDMI monitor plugged on Dell
    Precision 7740 (LP: #1825958)
    - PCI: Restore resized BAR state on resume

  * potential memory corruption on arm64 on dev release (LP: #1827437)
    - driver core: Postpone DMA tear-down until after devres release

  * powerpc/pmu/ebb test in ubuntu_kernel_selftest failed with "error while
    loading shared libraries" on Bionic/Cosmic PowerPC (LP: #1812805)
    - selftests/powerpc/pmu: Link ebb tests with -no-pie

  * unnecessary request_queue freeze (LP: #1815733)
    - block: av...

Read more...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers